﻿package  {
	
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	
	
	public class MainClass extends MovieClip {
		
		private var twilight:Twilight;
		public var world:Level;
		private var chaosWorld:Level1;
		private var realWorld:Level2;
		private var bubble:Bubble;
		public var magicBar:Magicbar;
		private var StartScreen:startScreen;
		private var Instructions:instructions;
		private var Credits:credits;
		
		public function MainClass() {
			this.StartScreen = new startScreen;
			this.Instructions = new instructions;
			this.Credits = new credits;
			this.addChild(StartScreen);
			this.StartScreen.PlayButton.addEventListener(MouseEvent.CLICK, PlayButton);
			this.StartScreen.InstructionsButton.addEventListener(MouseEvent.CLICK, InstructionsButton);
			this.StartScreen.CreditsButton.addEventListener(MouseEvent.CLICK, CreditsButton);

			}
		
		private function PlayButton(event:MouseEvent){
			this.StartScreen.PlayButton.removeEventListener(MouseEvent.CLICK, PlayButton);
			this.StartScreen.InstructionsButton.removeEventListener(MouseEvent.CLICK, InstructionsButton);
			this.StartScreen.CreditsButton.removeEventListener(MouseEvent.CLICK, CreditsButton);
			this.removeChild(StartScreen);
			this.world = new Level(Level2, Level1);
			this.bubble = new Bubble(this, 34);
			this.world.realWorld.mask = new MovieClip();
			this.twilight = new Twilight(this, this.world, bubble, stage.stageWidth / 2, stage.stageHeight / 1.25);
			this.magicBar = new Magicbar(this, bubble, stage.stageWidth - 255, 10);
			this.addChild(this.world);
			this.addChild(this.twilight);
			this.addChild(this.magicBar);
		}
		
		private function InstructionsButton(event:MouseEvent){
			this.addChild(Instructions);
			this.Instructions.BackButton.addEventListener(MouseEvent.CLICK, BackButton);
		}
		
		private function BackButton(event:MouseEvent){
			this.Instructions.BackButton.removeEventListener(MouseEvent.CLICK, InstructionsButton);
			this.removeChild(Instructions);
		}
		
		private function CreditsButton(event:MouseEvent){
			this.addChild(Credits);
			this.Credits.BackButton.addEventListener(MouseEvent.CLICK, BackButton1);
		}
		
		private function BackButton1(event:MouseEvent){
			this.Credits.BackButton.removeEventListener(MouseEvent.CLICK, BackButton1);
			this.removeChild(Credits);
		}
	}
	
}
